# ActionRow

The ActionRow component (you can use an array for this)\
**Extends:** [`discord-components.Component`](https://devkiki7000.gitbook.io/discord-components/api-reference/componentmessage)

{% tabs %}
{% tab title="Parameters" %}

| `*components`                          |
| -------------------------------------- |
| Components the ActionRow will contain. |
| {% endtab %}                           |

{% tab title="Attributes" %}

| components                                     |
| ---------------------------------------------- |
| The list of components the ActionRow contains. |
| {% endtab %}                                   |

{% tab title="Methods" %}

| to\_dict                                                                                                                               |
| -------------------------------------------------------------------------------------------------------------------------------------- |
| <p>Gets the component information required for API requests in dict form.</p><p></p><p><strong>Returns: <code>dict</code></strong></p> |

| from\_dict                                                                                                                                                                                                                                                                                                               |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| <p>Creates component instance from json.<br><br>This is a static method.</p><p></p><p><strong>Parameters:</strong></p><ul><li><strong>data</strong> (<code>dict</code>) - The json to construct button from.</li></ul><p><strong>Returns:</strong> <a href="actionrow"><code>discord-components.ActionRow</code></a></p> |

| append                             |
| ---------------------------------- |
| Adds a component to the ActionRow. |
| {% endtab %}                       |
| {% endtabs %}                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devkiki7000.gitbook.io/discord-components/api-reference/component/actionrow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
